Subject: RE: [mobile-ip] Re: FW: I-D ACTION:draft-tsirtsis-dsmip-problem-0 0.txt

From: Soliman Hesham <[email-masked]>
Date: Sun, 24 Aug 2003 10:15:28 -0400

> > => As I described earlier, double encapsulation is one 
 > > option, there are others. The aim is not necessarily 
 > > to provide a trivial solution at all cost (it's obviously
 > > your aim but not mine). If you read the mipv4 solution
 > > (draft-tsirtsis) you can see that it's possible, but there
 > > is a need for a more BW-efficient solution.
 > 
 > Obviously, the problem statement should elaborate why double 
 > encapsulation 
 > does not solve the problem.

=> Reverse tunnelling and BW efficiency.

 > >  > > The same goes for traffic sent from the MN using 
 > >  > 2002:HADDR_v4::/48. 
 > >  > 
 > >  > Works equally well, as above.
 > > 
 > > => No it doesn't. How does the MN reverse tunnel to the
 > > HA? MIPv4 does not assume reverse tunnelling.
 > 
 > It has worked just fine for me w/ Dynamics 
 > (http://www.cs.hut.fi/Research/Dynamics/), AFAIR.
 > 
 > Are you saying that mobile nodes do not tunnel back to the 
 > HA themselves, 
 > just (optionally) rely on the FA's doing it?

=> Yes. I don't know what you did with
the Dynamics SW.

 > > => I don't understand how you assume that 6-to-4 provides
 > > bidirectional communication... This is why I think the HA
 > > is a good TEP because it's there, doesn't assume 6-to-4
 > > relays, and doesn't assume that the CNs have 6-to-4 addresses.
 > 
 > If you're worried about bidir communication, all you have to 
 > do is to give 
 > the HA also a 6to4 address: then 6to4 gives you 
 > bidirectionality as well.

=> what makes the MN reverse tunnel a packet sent to an 
IPv6 address to an IPv4 address?

 > >  > > But there is a more 
 > >  > > BW effifcient scenario that would require some assistance 
 > >  > > from the FA. Both options are explained in the solutions
 > >  > > draft (MIPv4 one) that George sent to the MIP mailing list.
 > >  > 
 > >  > Bandwidth efficiency is just ONE trade-off here.  
 > > 
 > > => Ah, one important trade-off! If you ask anyone deploying
 > > or working with a WWAN how important BW is, they'll
 > > choose it over simplicity anytime.
 > 
 > You may have different WWAN's in mind, but I disagree.  For 
 > example 802.11 

=> I said WWAN not WLAN. 

Hesham

---

From: Pekka Savola <[email-masked]>
Date: Sun, 24 Aug 2003 18:36:18 +0300 (EEST)

> => Yes. I don't know what you did with

RFC3024 and MIPv4 spec at:

   Home agents MUST decapsulate packets addressed to themselves, sent by
   a mobile node for the purpose of maintaining location privacy, as
   described in Section 5.5.  This feature is also required for support
   of reverse tunneling [27].

I don't think the non-reverse tunneled (from MN) scenario even worked 
here.

So, it seems pretty reasonable to expect many (most?) MN's implement 
tunneling back to HA .. if not for any other reason than being able to 
operate in networks where there are no foreign agents.

> IPv6 address to an IPv4 address?

The enabling of 6to4 pseudo-interface, for example? (i.e., enabling the 
pseudo-interface, resulting in the 2002::/16 route).
 
>  > You may have different WWAN's in mind, but I disagree.  For 

I'm not familiar with the term but I assume you mean something like GSM 
networks.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings